Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassInactiveIngredient

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassInactiveIngredient

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassInactiveIngredient

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Inactive Ingredient', and utility methods for working with them. specDomain: V19089 (C-0-D11555-V13940-V10429-V10430-V19089-cpt)

See Also:
  `CDAR2Package.getRoleClassInactiveIngredient()`

Field Summary
`static int` | `COLR` The 'COLR' literal value.
`static RoleClassInactiveIngredient` | `COLR_LITERAL` The 'COLR' literal object.
`static int` | `FLVR` The 'FLVR' literal value.
`static RoleClassInactiveIngredient` | `FLVR_LITERAL` The 'FLVR' literal object.
`static int` | `IACT` The 'IACT' literal value.
`static RoleClassInactiveIngredient` | `IACT_LITERAL` The 'IACT' literal object.
`static int` | `PRSV` The 'PRSV' literal value.
`static RoleClassInactiveIngredient` | `PRSV_LITERAL` The 'PRSV' literal object.
`static int` | `STBL` The 'STBL' literal value.
`static RoleClassInactiveIngredient` | `STBL_LITERAL` The 'STBL' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Inactive Ingredient' enumerators.

Method Summary
`static RoleClassInactiveIngredient` | `get(int value)` Returns the 'Role Class Inactive Ingredient' literal with the specified integer value.
`static RoleClassInactiveIngredient` | `get(java.lang.String literal)` Returns the 'Role Class Inactive Ingredient' literal with the specified literal value.
`static RoleClassInactiveIngredient` | `getByName(java.lang.String name)` Returns the 'Role Class Inactive Ingredient' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IACT

    public static final int IACT

  The 'IACT' literal value.

  If the meaning of 'IACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IACT_LITERAL`, Constant Field Values

### COLR

    public static final int COLR

  The 'COLR' literal value.

  If the meaning of 'COLR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLR_LITERAL`, Constant Field Values

### FLVR

    public static final int FLVR

  The 'FLVR' literal value.

  If the meaning of 'FLVR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FLVR_LITERAL`, Constant Field Values

### PRSV

    public static final int PRSV

  The 'PRSV' literal value.

  If the meaning of 'PRSV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRSV_LITERAL`, Constant Field Values

### STBL

    public static final int STBL

  The 'STBL' literal value.

  If the meaning of 'STBL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STBL_LITERAL`, Constant Field Values

### IACT_LITERAL

    public static final RoleClassInactiveIngredient IACT_LITERAL

  The 'IACT' literal object.

  See Also:
    `IACT`

### COLR_LITERAL

    public static final RoleClassInactiveIngredient COLR_LITERAL

  The 'COLR' literal object.

  See Also:
    `COLR`

### FLVR_LITERAL

    public static final RoleClassInactiveIngredient FLVR_LITERAL

  The 'FLVR' literal object.

  See Also:
    `FLVR`

### PRSV_LITERAL

    public static final RoleClassInactiveIngredient PRSV_LITERAL

  The 'PRSV' literal object.

  See Also:
    `PRSV`

### STBL_LITERAL

    public static final RoleClassInactiveIngredient STBL_LITERAL

  The 'STBL' literal object.

  See Also:
    `STBL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Inactive Ingredient' enumerators.

Method Detail

### get

    public static RoleClassInactiveIngredient get(java.lang.String literal)

  Returns the 'Role Class Inactive Ingredient' literal with the specified literal value.

### getByName

    public static RoleClassInactiveIngredient getByName(java.lang.String name)

  Returns the 'Role Class Inactive Ingredient' literal with the specified name.

### get

    public static RoleClassInactiveIngredient get(int value)

  Returns the 'Role Class Inactive Ingredient' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD